Create review link
POST
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidreport_id*Report IdFormat
uuidapplication/json- body
allow_comments?Allow CommentsDefault
falseexpected_preview_sha256*Expected Preview Sha256Match
^[a-f0-9]{64}$expires_at*Expires AtFormat
date-timemax_accesses?Max AccessesRange
1 <= value <= 10000Default
100selection*Successful Response
application/json- response
link*token*Tokencurl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/reports/497f6eca-6276-4993-bfeb-53cbbbba6f08/review-links' \ -H 'Content-Type: application/json' \ -d '{ "expected_preview_sha256": "string", "expires_at": "2019-08-24T14:15:22Z", "selection": { "sections": [ "executive_summary" ], "title": "string" }}'Example Response
{ "link": { "access_count": 0, "allow_comments": true, "content_sha256": "string", "created_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "max_accesses": 0, "report_id": "5ed7905a-4735-4cf7-b1ab-521e066fb971", "revoked_at": "2019-08-24T14:15:22Z", "title": "string" }, "token": "string"}